#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "OnboardingTutorialSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UOnboardingTutorialSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnSelectTutorial(const FString& stepId, const FString& tutorialId);

public:
	UOnboardingTutorialSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UOnboardingTutorialSubPresenter) { return 0; }
